<html>
<head>
<title>OGRE: Ogre::Compiler2Pass::TokenInst Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1Compiler2Pass.html">Compiler2Pass</a>::<a class="el" href="structOgre_1_1Compiler2Pass_1_1TokenInst.html">TokenInst</a></div>
<h1>Ogre::Compiler2Pass::TokenInst Struct Reference</h1><!-- doxytag: class="Ogre::Compiler2Pass::TokenInst" -->map used to lookup client token based on previously defined lexeme  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreCompiler2Pass_8h-source.html">OgreCompiler2Pass.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1Compiler2Pass_1_1TokenInst-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Compiler2Pass_1_1TokenInst.html#715b0aa62dc5511917e23bb5fb09e8d8">NTTRuleID</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Compiler2Pass_1_1TokenInst.html#95cdda5794ed819d272467cb33377404">tokenID</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Non-Terminal Token Rule ID that generated Token.  <a href="#95cdda5794ed819d272467cb33377404"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Compiler2Pass_1_1TokenInst.html#7368d0c3f19b41bc9adc6c502196ec06">line</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">expected Token ID. Could be UNKNOWN if valid token was not found.  <a href="#7368d0c3f19b41bc9adc6c502196ec06"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Compiler2Pass_1_1TokenInst.html#e06b493b386abe87f6e6eb1e6d3f5d14">pos</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">line number in source code where Token was found  <a href="#e06b493b386abe87f6e6eb1e6d3f5d14"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Compiler2Pass_1_1TokenInst.html#13978bcda90f70e2ca9fed22caf65959">found</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Character position in source where Token was found.  <a href="#13978bcda90f70e2ca9fed22caf65959"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
map used to lookup client token based on previously defined lexeme 
<p>
structure for Token instructions that are constructed during first pass 
<p>Definition at line <a class="el" href="OgreCompiler2Pass_8h-source.html#l00237">237</a> of file <a class="el" href="OgreCompiler2Pass_8h-source.html">OgreCompiler2Pass.h</a>.</p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="715b0aa62dc5511917e23bb5fb09e8d8"></a><!-- doxytag: member="Ogre::Compiler2Pass::TokenInst::NTTRuleID" ref="715b0aa62dc5511917e23bb5fb09e8d8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1Compiler2Pass_1_1TokenInst.html#715b0aa62dc5511917e23bb5fb09e8d8">Ogre::Compiler2Pass::TokenInst::NTTRuleID</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompiler2Pass_8h-source.html#l00239">239</a> of file <a class="el" href="OgreCompiler2Pass_8h-source.html">OgreCompiler2Pass.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="95cdda5794ed819d272467cb33377404"></a><!-- doxytag: member="Ogre::Compiler2Pass::TokenInst::tokenID" ref="95cdda5794ed819d272467cb33377404" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1Compiler2Pass_1_1TokenInst.html#95cdda5794ed819d272467cb33377404">Ogre::Compiler2Pass::TokenInst::tokenID</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Non-Terminal Token Rule ID that generated Token. 
<p>

<p>Definition at line <a class="el" href="OgreCompiler2Pass_8h-source.html#l00240">240</a> of file <a class="el" href="OgreCompiler2Pass_8h-source.html">OgreCompiler2Pass.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="7368d0c3f19b41bc9adc6c502196ec06"></a><!-- doxytag: member="Ogre::Compiler2Pass::TokenInst::line" ref="7368d0c3f19b41bc9adc6c502196ec06" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1Compiler2Pass_1_1TokenInst.html#7368d0c3f19b41bc9adc6c502196ec06">Ogre::Compiler2Pass::TokenInst::line</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
expected Token ID. Could be UNKNOWN if valid token was not found. 
<p>

<p>Definition at line <a class="el" href="OgreCompiler2Pass_8h-source.html#l00241">241</a> of file <a class="el" href="OgreCompiler2Pass_8h-source.html">OgreCompiler2Pass.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e06b493b386abe87f6e6eb1e6d3f5d14"></a><!-- doxytag: member="Ogre::Compiler2Pass::TokenInst::pos" ref="e06b493b386abe87f6e6eb1e6d3f5d14" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1Compiler2Pass_1_1TokenInst.html#e06b493b386abe87f6e6eb1e6d3f5d14">Ogre::Compiler2Pass::TokenInst::pos</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
line number in source code where Token was found 
<p>

<p>Definition at line <a class="el" href="OgreCompiler2Pass_8h-source.html#l00242">242</a> of file <a class="el" href="OgreCompiler2Pass_8h-source.html">OgreCompiler2Pass.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="13978bcda90f70e2ca9fed22caf65959"></a><!-- doxytag: member="Ogre::Compiler2Pass::TokenInst::found" ref="13978bcda90f70e2ca9fed22caf65959" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1Compiler2Pass_1_1TokenInst.html#13978bcda90f70e2ca9fed22caf65959">Ogre::Compiler2Pass::TokenInst::found</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Character position in source where Token was found. 
<p>

<p>Definition at line <a class="el" href="OgreCompiler2Pass_8h-source.html#l00243">243</a> of file <a class="el" href="OgreCompiler2Pass_8h-source.html">OgreCompiler2Pass.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreCompiler2Pass_8h-source.html">OgreCompiler2Pass.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:21 2008
</p>
</body>
</html>
